setState

Overrides the State object by setting the values of the parameters passed.

POST/v1/chat/states/{type}/{id}/{name}

Authorization

AuthorizationBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Header parameters

x-bp-authenticated-principalstring
Authenticated principal. Injected by the authentication middleware.
x-bot-idstring
Bot id
x-integration-id?string
Integration id
x-integration-alias?string
Integration alias

Path parameters

typeenum<string>
Represents the resource type that the state is related to
Available options:"conversation","user","bot","integration","workflow"
idstring
Id of the State which will be either the botId, the userId or the conversationId
namestring
Name of the State which is declared inside the bot definition

Request body

State content

payloadobject | null
Payload is the content of the state defined by your bot.
expiry?number | null
Expiry of the State in milliseconds. The state will expire if it is idle for the configured value. By default, a state doesn't expire.(>= 1, <= 2592000000)

Response

Returns the updated State object if a valid identifier was provided. Returns an an error otherwise

stateobject
The state object represents the current payload. A state is always linked to either a bot, a conversation or a user.